
From: Alasdair G Kergon <agk@redhat.com>

Remove duplicate kfree in dm_register_target error path.

Signed-Off-By: Alasdair G Kergon <agk@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/dm-target.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN drivers/md/dm-target.c~2-2-device-mapper-trivial-duplicate-kfree-in-error-path drivers/md/dm-target.c
--- 25/drivers/md/dm-target.c~2-2-device-mapper-trivial-duplicate-kfree-in-error-path	Wed Oct 20 15:11:03 2004
+++ 25-akpm/drivers/md/dm-target.c	Wed Oct 20 15:11:03 2004
@@ -120,10 +120,9 @@ int dm_register_target(struct target_typ
 		return -ENOMEM;
 
 	down_write(&_lock);
-	if (__find_target_type(t->name)) {
-		kfree(ti);
+	if (__find_target_type(t->name))
 		rv = -EEXIST;
-	} else
+	else
 		list_add(&ti->list, &_targets);
 
 	up_write(&_lock);
_
